import rhinoscriptsyntax as rs
import Rhino
import scriptcontext as sc

import System
import Rhino.UI
import Eto.Drawing as drawing
import Eto.Forms as forms

import csv
from datetime import date
import re
import os

#import RhObjFunctions


cwd = os.getcwd()
ConvFile = cwd + "\\" + 'NameingConventions.csv'

__commandname__ = "OVFP_NamingConventions"

def RunCommand( is_interactive ):
    
    makeConventionNames()
    
    return 0


def csvExistCheck():
    if not os.path.exists(ConvFile):
        print "NamingConventions.csv not found. Creating new Conventions file."
        with open(ConvFile, "wb") as csvfile:
            csvwriter = csv.writer(csvfile,  delimiter=',')
            Basic = ['Basic','_','SetNumber','SP','IESlug','SP','SetName','SP','vVersion','SP','Date','SP','Category','SP','Artist']
            csvwriter.writerow(Basic)

def makeConventionNames(NewCList=False):
    #creates document names that abide by the naming conventions
    #if NewCList == True:
        #Conventions.clearConventions()
    
    
    #reads csv file
    with open(ConvFile, 'r') as csv_file:
        csv_reader = csv.reader(csv_file)
        for row in csv_reader:
            if len(row)>0:
                print str(type(row)) + '    ' + str(len(row)) + ':     ' + str(row)
                if len(row) == 1: 
                    row = str(row[0]).split(',') #This is here 'cause of some wierd shit Rhino was doing
                    print row
                #Conventions(row)


def writeToNamingeConventionsFile():
    #Write convdict to file 
    with open(ConvFile, "wb") as csvfile:
        csvwriter = csv.writer(csvfile,  delimiter=',')
        for con in Conventions.allConventions:
            if con.Delete == False:
                row = [con.ConventionShow, con.ConventionSpacer]
                for c in con.storedTemplate:
                     row.append(c)
                csvwriter.writerow(row)

csvExistCheck() #check for CSV file
#fileCI = conventionInfo() #store all current document data in fileCI - methods will call on this for info.

if __name__ == '__main__':
    RunCommand(True)
